Skip to Content
Mobile top up

List mobile top-ups

GET
/v3/mobile/list

Top-ups sent with your API keys, newest first.

Authorization

AccessToken
headerX-Access-Token<token>

Your API key. Sandbox keys start with flx_test_, production keys with flx_live_.

Query Parameters

page?integer

Page number, starting at 1.

Range1 <= value
Default1
pageSize?integer

Items per page (1-100).

Range1 <= value <= 100
Default20
from?string

Start of the date range (ISO 8601). Send together with to.

Formatdate-time
to?string

End of the date range (ISO 8601). Send together with from.

Formatdate-time

Response Body

A page of top-ups

application/json
  1. response
success*true
Value intrue
data*
meta*
requestId*string
Example Request
curl -X GET 'https://api.flexyliktelecom.com/v3/mobile/list'
Example Response
{  "success": true,  "data": {    "items": [      {        "_id": "F00012345",        "ref": "order-10293",        "status": "PENDING",        "plan_code": "PREPAID_DJEZZY",        "MSSIDN": "0700000009",        "topup_amount": 500,        "balance_amount": 500,        "offer_name": "string",        "debt_amount": 100,        "debt_message": "string",        "debt_options": [          {            "choice": "PAY_ALL",            "amount": 600,            "available": true          }        ],        "debt_expires_at": "string",        "refund_message": "string",        "suggested_offers": [          {            "typename": "string",            "plan_code": "string",            "amount": 0          }        ],        "created_at": "2026-11-15T10:30:00.000Z"      }    ],    "pagination": {      "page": 1,      "pageSize": 20,      "totalPages": 3,      "totalResults": 47    }  },  "meta": {    "timestamp": "2026-11-15T10:30:00.000Z"  },  "requestId": "req_8fK2mQx7Lp0aZ3nV1cWb"}